Oracle releases emergency fix for Java zero-day exploit

The company broke out of its regular patching cycle for the second time this year to fix an actively exploited flaw

Oracle released emergency patches for Java on Monday to address two critical vulnerabilities, one of which is actively being exploited by hackers in targeted attacks.

The vulnerabilities, identified as CVE-2013-1493 and CVE-2013-0809, are located in the 2D component of Java and received the highest possible impact score from Oracle.

"These vulnerabilities may be remotely exploitable without authentication, i.e., they may be exploited over a network without the need for a username and password," the company said in a security alert. "For an exploit to be successful, an unsuspecting user running an affected release in a browser must visit a malicious web page that leverages these vulnerabilities. Successful exploits can impact the availability, integrity, and confidentiality of the user's system."

The newly released updates bump Java to versions 7 Update 17 (7u17) and 6 Update 43 (6u43), skipping over 7u16 and 6u42 for reasons that weren't immediately clear.

Oracle notes that Java 6u43 will be the last publicly available update for Java 6 and advises users to upgrade to Java 7. The public availability of Java 6 updates was supposed to end with Java 6 Update 41, released on Feb. 19, but it seems the company made an exception for this emergency patch.

The CVE-2013-1493 vulnerability has been actively exploited by attackers since at least last Thursday, when researchers from security firm FireEye discovered attacks using it to install a piece of remote access malware called McRAT. However, it seems that Oracle was aware of this flaw's existence since the beginning of February.

"Though reports of active exploitation of vulnerability CVE-2013-1493 were recently received, this bug was originally reported to Oracle on February 1st 2013, unfortunately too late to be included in the February 19th release of the Critical Patch Update for Java SE," said Eric Maurice, Oracle's director of software assurance, in a blog post Monday.

The company had planned to fix CVE-2013-1493 in the next scheduled Java Critical Patch Update on April 16, Maurice said. However, because the vulnerability started to be exploited by attackers, Oracle decided to release a patch sooner.

The two vulnerabilities addressed with the latest updates don't affect Java running on servers, stand-alone Java desktop applications or embedded Java applications, Maurice said. Users are advised to install the patches as soon as possible, he said.

Users can disable support for Web-based Java content from the security tab in the Java control panel if they don't need Java on the Web. The security settings for such content are set to high by default, meaning users are prompted to authorize the execution of Java applets that are unsigned or self-signed inside browsers.

This is designed to prevent the automated exploitation of Java vulnerabilities over the Web, but only works if users are capable of making informed decisions about which applets to authorize and which not to. "In order to protect themselves, desktop users should only allow the execution of applets when they expect such applets and trust their origin," Maurice said.

Join the discussion
Be the first to comment on this article. Our Commenting Policies